package org.randombits.utils.lang;

import java.lang.annotation.*;

/**
 * Marks a method as being part of the public API. As such, care should be taken when refactoring.
 */
@Documented
@Retention(RetentionPolicy.SOURCE)
@Target({ElementType.METHOD, ElementType.CONSTRUCTOR, ElementType.FIELD, ElementType.TYPE})
public @interface API {
    String value() default "";
}
